SymetryML Documentation
Exploration

Variance Inflation Factor analysis

Compute Variance Inflation Factor (VIF) for the given input attributes (at least 2 required). This endpoint is always asynchronous — it schedules a job and returns `202`; fetch the result from [Get job information](/docs/api-reference/jobs/jobs-jobid-get) using the `sym-job-id` response header. The request body is an **ExploreContext** object: `{"values": [<MLContext>, ...]}` — one `MLContext` entry per exploration to run in this call.

POST
/{user}/projects/{project}/vif

Compute Variance Inflation Factor (VIF) for the given input attributes (at least 2 required). This endpoint is always asynchronous — it schedules a job and returns 202; fetch the result from Get job information using the sym-job-id response header.

The request body is an ExploreContext object: {"values": [<MLContext>, ...]} — one MLContext entry per exploration to run in this call.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Query Parameters

useLocal?boolean

For a federated project, use the local project instead of resolving a peer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/c1/projects/nbra_prj_iris/vif?useLocal=true" \  -H "Content-Type: application/json" \  -d '{    "values": [      {        "inputAttributes": [          "3",          "4",          "5",          "6",          "7",          "8",          "9",          "10"        ],        "targets": []      }    ]  }'

{  "statusCode": 200,  "statusString": "Job is finished",  "values": {    "KSVSMap": {      "values": [        {          "3": "9.28885952388346",          "4": "3.318069843005076",          "5": "32.09209450940302",          "6": "16.631653798917338",          "7": "5000.8773184258725",          "8": "5000.877318425872",          "9": "5000.600952056334",          "10": "5000.600952056332"        }      ]    }  }}

{  "statusCode": 202,  "statusString": "Job Created",  "values": {}}

{  "statusCode": 400,  "statusString": "Less than 2 attributes for vif",  "values": {}}